Update a status list signer
Roles
Analytics Events
/v2/credentials/mobile/status-list-signers/{statusListSignerId}Updates the status of an existing status list signer.
Only available in implementations using unmanaged (external) IACAs.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_UPDATE_START
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_UPDATE_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Status list identifier
uuidRequest Body
application/json
Status list signer status. Must be set to true for this status list signer to be available for signing status lists.
Status list signer certificate in PEM format. The certificate must be:
- Valid
- Not expired
- Compliant with the details provided in the Certificate Signing Request returned when the status list signer was created
Response Body
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": true,
"certificatePem": "string",
"certificateFingerprint": "475DA948E4BA44D9B5BC31AB4B8006113FD5F538",
"certificateData": {
"notBefore": "2019-08-24T14:15:22Z",
"notAfter": "2019-08-24T14:15:22Z",
"country": "string",
"stateOrProvinceName": "string",
"organisationName": "string"
}
}How would you rate this page?
Retrieve a status list signer GET
Retrieves an existing status list signer. Status list signer operations are only available in implementations using unmanaged (external) IACAs. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_RETRIEVE_FAIL
Delete a status list signer DELETE
Deletes an existing status list signer. Only available in implementations using unmanaged (external) IACAs. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_DELETE_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_DELETE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_DELETE_FAIL